4Suite™ API Documentation

# ► Module Ft.Lib.TestSuite.TestObject

Provides the TestObject base class used in TestSuite modules.
Copyright 2002 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: TestObject

## Classes

class TestObject
Base class for all test objects.

### Methods

__init__(self, name)
__str__(self)
getModes(self)
getTests(self)
run(self, tester)
showTests(self, indent)

### Fields

modes = None
tests = None